Subject: FVWM: Re: FVwm 2.2 installation

From: Chen Shizhong-FCHN289 <[email-masked]>
Date: Thu, 18 Mar 1999 10:48:20 +0800

Hi,

Thanks for your response. Now I want to simplify my question:

1. I download FVWM 2.2 from http://fvwm.math.uh.edu/download.html. The file
name is fvwm-2.2.tar.gz.

2. Untar this file will create "fvwm-2.2" directory in "/usr/local/".

3. Execute "configure --prefix=/usr/local/fvwm > cfg.result" under directory
"/usr/local/fvwm-2.2".

4. Run "make > make.result" under directory "/usr/local/fvwm-2.2".

5. Run "make install > install.result" under directory
"/usr/local/fvwm-2.2".

6. Now there're three directories created in /usr/local/fvwm/: "bin",
"libexec" and "man".

7. Create my .xinitrc and .fvwm2rc according
/usr/local/fvwm-2.2/modules/FvwmSaveDesk/example/xinitrc and fvwm2rc.

8. Relog in with OpenWin session and screen turn dark with nothing on it. I
can only press left button of the mouse and select "Exit FVWM".

My workstation is ultra5, OS is SunOS 5.5.1. I don't know if I describe it
more clearly this time. Do you find something wrong?

 <<cfg.result>>  <<make.result>>  <<install.result>>  <<.xinitrc>>  
<<.fvwm2rc>> 
Thanks,
Chen

> -----Original Message-----
> From:	Benoit Champagne [SMTP:[email-masked]]
> Sent:	Tuesday, March 16, 1999 10:24 PM
> To:	Chen Shizhong-FCHN289
> Subject:	FVwm 2.2 installation
> 
> 
> First, the installation does not automatically install the system.fvwmrc
> file. You must do it yourself. Look at your Makefile or config.log to see
> where 
> it should be placed (probably something like /usr/local/etc or
> /usr/local/lib/X11/fvwm or something like that), then copy it there. 
> 
> I also suggest you copy it over to your $HOME directory renaming it
> .fvwm2rc
> (but check your Makefile again to make sure you did not change the default
> name 
> for it). This private copy enables you to modify your own fvwm
> configuration.
> 
> As for xpm.h and rplay.h, configure simply check whether you have these
> insalled. If you do FVWM is built to use them if you don't then you won't
> have
> XPM support nor sound. These are not part of the FVWM package; you need to
> get
> them yourself. I think they're available from ftp.x.org but I'm not sure.
> 
> Hope this help a little...
> 
> Best Regards
> 
> ===>Chen Shizhong-FCHN289 writes:
> 
>     Chen> [1 <text/plain>] Hi,
> 
>     Chen> I download FVWM 2.2 and built it in my workstation. ( I enclosed
> my
>     Chen> config.log file. ) But when I relog in via OpenWin, the screen
> turn
>     Chen> dark with nothing on it. Only first button ( left button ) of
> the
>     Chen> mouse could pop down a list include "builtin menu" and "exit
>     Chen> fvwm". Does anybody know what's wrong on it?
> 
>     Chen> ( I doubt the installation is not complete because at first time
>     Chen> there're a lot of error when building, such as "miss
> <X11/xpm.h>",
>     Chen> "can't find rplay.h", "can't find readline.h", etc. I have no
> way but
>     Chen> copy the missing files from somewhere. )
> 
>     Chen> Thanks, Chen
> 
>     Chen>  <<config.log>>
> 
>     Chen> [2 config.log <application/octet-stream>]
> 
> 
> -- 
> ---------------------------------------------------------------------
>     Continuum all the way                 COMPUTER ASSOCIATES
> Benoit Champagne  ift.a             |  Main Line : (450) 978-4899
> Tel  : (450) 978-4913               |    3090 Boul. Le Carrefour
> FAX  : (450) 978-4909               |          Suite 300
> Email: [email-masked]     |          Laval, PQ
>                                     |           H7T 2J7
> Nice Words from F1 analysts:
>   Murray: And look at the flames coming from the back of Berger's McLaren 
>    James: Actually, Murray, they're not flames, it's the safety light
> ---------------------------------------------------------------------

---

From: [email-masked] (Paul D. Smith)
Date: 18 Mar 1999 12:30:04 -0500

I think this is a large part of your problem.

  > ModulePath /usr/local/fvwm

is definitely wrong.  You should either remove the ModulePath setting
altogether (highly recommended; fvwm knows where to look!) or, if you
want to find new, nonstandard modules you should use the $FVWM_MODULEDIR
environment variable to represent the default path.

With this setting no modules can be found.  Like, FvwmM4 for example.

Pls. see the NEWS file and the man page for more info on this.

-- 
-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
   These are my opinions---Nortel Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].